<?php
$result = dbquery('SELECT p.pid, p.ptime, p.poster_id, p.post_fid, t.tid, t.topic, t.n_posts, t.n_views, u.username, f.fname
FROM '.$mforum['prefix'].'topics AS t, '.$mforum['prefix'].'posts AS p, '.$mforum['prefix'].'users AS u, '.$mforum['prefix'].'forums AS f
WHERE p.post_tid = t.tid
AND p.poster_id = u.id
AND p.post_fid = f.fid
AND p.post_fid not in ('.$mforum['block_forums'].')
GROUP BY t.tid
ORDER BY p.pid DESC LIMIT '.$mforum['posts_limit'].'');

while ($row = dbarray($result)) { 	 
  $data .= '<tr>';

  if($mforum['view_forum'] == 1) {
    if($mforum['link_forum']==1) $data .= '<td width="'.$mforum['width_forum'].'" class="'.$mforum['class_td'].'"><a href="'.$mforum['path'].'index.php?fid='.$row['post_fid'].'" class="block">'.mb_convert_encoding($row['fname'], $mforum['charset_site'], $mforum['charset_forum']).'</a></td>';
    else $data .= '<td width="'.$mforum['width_forum'].'" class="'.$mforum['class_td'].'">'.mb_convert_encoding($row['fname'], $mforum['charset_site'], $mforum['charset_forum']).'</td>';
  }
  
  if($mforum['view_topic'] == 1) {
    if($mforum['link_topic']==1) $data .= '<td width="'.$mforum['width_topic'].'" class="'.$mforum['class_td'].'"><a href="'.$mforum['path'].'index.php?tid='.$row['tid'].'&amp;tpg=1#'.$row['pid'].'" class="block">'.mb_convert_encoding($row['topic'], $mforum['charset_site'], $mforum['charset_forum']).'</a></td>';
    else $data .= '<td width="'.$mforum['width_topic'].'" class="'.$mforum['class_td'].'">'.mb_convert_encoding($row['topic'], $mforum['charset_site'], $mforum['charset_forum']).'</td>';
  }
  
  if($mforum['view_views'] == 1) $data .= '<td width="'.$mforum['width_views'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.$row['n_views'].'</td>';
  
  if($mforum['view_replies'] == 1) $data .= '<td width="'.$mforum['width_replies'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.$row['n_posts'].'</td>';

  if($mforum['view_author'] == 1) {
    if($mforum['link_author']==1) $data .= '<td width="'.$mforum['width_author'].'" class="'.$mforum['class_td'].'" style="text-align:center;"><a href="'.$mforum['path'].'index.php?mid='.$row['poster_id'].'" class="block">'.mb_convert_encoding($row['username'], $mforum['charset_site'], $mforum['charset_forum']).'</a></td>';
    else $data .= '<td width="'.$mforum['width_author'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.mb_convert_encoding($row['username'], $mforum['charset_site'], $mforum['charset_forum']).'</td>';
  }
  
  if($mforum['view_date'] == 1) $data .= '<td width="'.$mforum['width_date'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.showdate("forumdate", $row['ptime']).'</td>';
}
?>