<?php
$result=dbquery('SELECT p.post_id, p.poster_id, p.post_time, t.topic_last_post_id, t.topic_views, t.topic_replies, t.topic_title, t.forum_id, u.username, f.forum_name
FROM '.$mforum['prefix'].'posts AS p, '.$mforum['prefix'].'topics AS t, '.$mforum['prefix'].'users AS u, '.$mforum['prefix'].'forums AS f
WHERE t.topic_last_post_id = p.post_id
AND p.poster_id = u.user_id 
AND t.forum_id = f.forum_id
AND t.forum_id not in ('.$mforum['block_forums'].')
ORDER BY t.topic_last_post_id DESC LIMIT '.$mforum['posts_limit'].'');

while ($row = dbarray($result)) { 	 
  $data .= '<tr>';

  if($mforum['view_forum'] == 1) {
    if($mforum['link_forum']==1) $data .= '<td width="'.$mforum['width_forum'].'" class="'.$mforum['class_td'].'"><a href="'.$mforum['path'].'viewforum.php?f='.$row['forum_id'].'" class="block">'.mb_convert_encoding($row['forum_name'], $mforum['charset_site'], $mforum['charset_forum']).'</a></td>';
    else $data .= '<td width="'.$mforum['width_forum'].'" class="'.$mforum['class_td'].'">'.mb_convert_encoding($row['forum_name'], $mforum['charset_site'], $mforum['charset_forum']).'</td>';
  }
  
  if($mforum['view_topic'] == 1) {
    if($mforum['link_topic']==1) $data .= '<td width="'.$mforum['width_topic'].'" class="'.$mforum['class_td'].'"><a href="'.$mforum['path'].'viewtopic.php?p='.$row['post_id'].'#'.$row['post_id'].'" class="block">'.mb_convert_encoding($row['topic_title'], $mforum['charset_site'], $mforum['charset_forum']).'</a></td>';
    else $data .= '<td width="'.$mforum['width_topic'].'" class="'.$mforum['class_td'].'">'.mb_convert_encoding($row['topic_title'], $mforum['charset_site'], $mforum['charset_forum']).'</td>';
  }
  
  if($mforum['view_views'] == 1) $data .= '<td width="'.$mforum['width_views'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.$row['topic_views'].'</td>';
  
  if($mforum['view_replies'] == 1) $data .= '<td width="'.$mforum['width_replies'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.$row['topic_replies'].'</td>';

  if($mforum['view_author'] == 1) {
    if($mforum['link_author']==1) $data .= '<td width="'.$mforum['width_author'].'" class="'.$mforum['class_td'].'" style="text-align:center;"><a href="'.$mforum['path'].'memberlist.php?mode=viewprofile&amp;u='.$row['poster_id'].'" class="block">'.mb_convert_encoding($row['username'], $mforum['charset_site'], $mforum['charset_forum']).'</a></td>';
    else $data .= '<td width="'.$mforum['width_author'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.mb_convert_encoding($row['username'], $mforum['charset_site'], $mforum['charset_forum']).'</td>';
  }
  
  if($mforum['view_date'] == 1) $data .= '<td width="'.$mforum['width_date'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.showdate("forumdate", $row['post_time']).'</td>';
}
?>