<?php
$result=dbquery('SELECT t.topic_title, t.forum_id, t.count_replies, t.count_views, p.id, p.poster_id, p.post_time, m.name, f.name AS forum_name
FROM '.$mforum['prefix'].'topics as t, '.$mforum['prefix'].'posts as p, '.$mforum['prefix'].'members as m, '.$mforum['prefix'].'forums as f
WHERE t.last_post_id = p.id
AND p.poster_id = m.id
AND t.forum_id = f.id
AND t.forum_id not in ('.$mforum['block_forums'].')
ORDER BY post_time DESC LIMIT 5');

while ($row = dbarray($result)) { 	 
  $data .= '<tr>';

  if($mforum['view_forum'] == 1) {
    if($mforum['link_forum']==1) $data .= '<td width="'.$mforum['width_forum'].'" class="'.$mforum['class_td'].'"><a href="'.$mforum['path'].'forum.php?id='.$row['forum_id'].'" class="block">'.mb_convert_encoding($row['forum_name'], $mforum['charset_site'], $mforum['charset_forum']).'</a></td>';
    else $data .= '<td width="'.$mforum['width_forum'].'" class="'.$mforum['class_td'].'">'.mb_convert_encoding($row['forum_name'], $mforum['charset_site'], $mforum['charset_forum']).'</td>';
  }
  
  if($mforum['view_topic'] == 1) {
    if($mforum['link_topic']==1) $data .= '<td width="'.$mforum['width_topic'].'" class="'.$mforum['class_td'].'"><a href="'.$mforum['path'].'topic.php?post='.$row['id'].'#post'.$row['id'].'" class="block">'.mb_convert_encoding($row['topic_title'], $mforum['charset_site'], $mforum['charset_forum']).'</a></td>';
    else $data .= '<td width="'.$mforum['width_topic'].'" class="'.$mforum['class_td'].'">'.mb_convert_encoding($row['topic_title'], $mforum['charset_site'], $mforum['charset_forum']).'</td>';
  }
  
  if($mforum['view_views'] == 1) $data .= '<td width="'.$mforum['width_views'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.$row['count_views'].'</td>';
  
  if($mforum['view_replies'] == 1) $data .= '<td width="'.$mforum['width_replies'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.$row['count_replies'].'</td>';

  if($mforum['view_author'] == 1) {
    if($mforum['link_author']==1) $data .= '<td width="'.$mforum['width_author'].'" class="'.$mforum['class_td'].'" style="text-align:center;"><a href="'.$mforum['path'].'profile.php?id='.$row['poster_id'].'" class="block">'.mb_convert_encoding($row['name'], $mforum['charset_site'], $mforum['charset_forum']).'</a></td>';
    else $data .= '<td width="'.$mforum['width_author'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.mb_convert_encoding($row['name'], $mforum['charset_site'], $mforum['charset_forum']).'</td>';
  }
  
  if($mforum['view_date'] == 1) $data .= '<td width="'.$mforum['width_date'].'" class="'.$mforum['class_td'].'" style="text-align:center;">'.showdate("shortdate", $row['post_time']).'</td>';
}
?>